Mailinglist Archive: yast-commit (590 mails)

< Previous Next >
[yast-commit] Build failed in Hudson: webyast-client-head-i586 #945
See <http://yast.suse.de:3334/job/webyast-client-head-i586/945/changes>

Changes:

[Josef Reidinger] initial license headers for base together with cleaning
up deprecated files and files with unclear roots

[Josef Reidinger] almost all license headers done

------------------------------------------
[...truncated 10711 lines...]
-- remove_column(:accounts, :crypted_password)
-> 0.0339s
-- remove_column(:accounts, :salt)
-> 0.0183s
== UpdateAccounts: migrated (0.0883s) ========================================

== AddColumntAccounts: migrating =============================================
-- add_column(:accounts, :salt, :string)
-> 0.0015s
== AddColumntAccounts: migrated (0.0017s) ====================================

== CreateHosts: migrating ====================================================
-- create_table(:hosts)
-> 0.0037s
== CreateHosts: migrated (0.0039s) ===========================================

== InsertLocalhost: migrating ================================================
== InsertLocalhost: migrated (0.0665s) =======================================

== PrivatePortNumbers: migrating =============================================
== PrivatePortNumbers: migrated (0.0042s) ====================================

+ RAILS_ENV=test
+ rake test
*** WARNING:
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/unit/host_test.rb" "test/unit/basesystem_test.rb"
"test/unit/control_panel_config_test.rb"
"test/unit/helpers/controlpanel_helper_test.rb"
"test/unit/helpers/html_helper_test.rb" "test/unit/account_test.rb"
"test/unit/yast/service_resource_test.rb" "test/unit/yast_model_test.rb"
"test/unit/client_exception_test.rb"
(in /tmp/rpmbuild/www)
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
..............................actionsaction1activetruearg1valuefalsevaluefalsevaluelestzvest
..

Finished in 0.906783 seconds.

32 tests, 107 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0
notifications
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/functional/hosts_controller_test.rb"
"test/functional/private_routing_test.rb"
"test/functional/lang_controller_test.rb"
"test/functional/controlpanel_controller_test.rb"
"test/functional/sessions_controller_test.rb"
"test/functional/application_controller_test.rb"
"test/functional/main_controller_test.rb"
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
/tmp/rpmbuild/www/vendor/plugins/lang_helper/lib/lang_helper.rb:25: warning:
already initialized constant LANGUAGES
/tmp/rpmbuild/www/vendor/plugins/lang_helper/lib/lang_helper.rb:82: warning:
already initialized constant SUPPORTED_LANGUAGE
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
.......................DEPRECATION WARNING: Using assert_redirected_to with
partial hash arguments is deprecated. Specify the full set arguments instead.
(called from test_main_index_no_session at
./test/functional/main_controller_test.rb:30)
..................................

Finished in 1.25825 seconds.

57 tests, 88 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0
notifications
/usr/bin/ruby -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/integration/two_sessions_test.rb" "test/integration/manage_hosts_test.rb"
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
fakeweb not found, skipping two_session_test
+ exit 0
Processing files: webyast-base-ui-0.1.26-0.noarch
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.lqt94N
+ umask 022
+ cd /tmp/rpmbuild
+ cd www
+
DOCDIR=/usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386/usr/share/doc/packages/webyast-base-ui
+ export DOCDIR
+ rm -rf
/usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386/usr/share/doc/packages/webyast-base-ui
+ /bin/mkdir -p
/usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386/usr/share/doc/packages/webyast-base-ui
+ cp -pr README COPYING
/usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386/usr/share/doc/packages/webyast-base-ui
+ exit 0
warning: File listed twice: /srv/www/yast/public/javascripts
warning: File listed twice: /srv/www/yast/public/javascripts/application.js
warning: File listed twice:
/srv/www/yast/public/javascripts/digitalspaghetti.password.js
warning: File listed twice: /srv/www/yast/public/javascripts/excanvas.js
warning: File listed twice: /srv/www/yast/public/javascripts/jQuery.dPassword.js
warning: File listed twice:
/srv/www/yast/public/javascripts/jqbrowser-compressed.js
warning: File listed twice:
/srv/www/yast/public/javascripts/jquery.badbrowser.js
warning: File listed twice: /srv/www/yast/public/javascripts/jquery.example.js
warning: File listed twice: /srv/www/yast/public/javascripts/jquery.jqplot.js
warning: File listed twice:
/srv/www/yast/public/javascripts/jquery.quicksearch.js
warning: File listed twice: /srv/www/yast/public/javascripts/jquery.validate.js
warning: File listed twice: /srv/www/yast/public/javascripts/jrails.js
warning: File listed twice: /srv/www/yast/public/javascripts/plugin
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.barRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.canvasAxisTickRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.canvasTextRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.categoryAxisRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.cursor.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.dateAxisRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.dragable.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.highlighter.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.logAxisRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.pieRenderer.js
warning: File listed twice:
/srv/www/yast/public/javascripts/plugin/jqplot.trendline.js
warning: File listed twice: /srv/www/yast/public/javascripts/script.js
warning: File listed twice: /srv/www/yast/public/javascripts/validation.js
Finding Provides: /usr/lib/rpm/find-provides webyast-base-ui
Finding Requires: /usr/lib/rpm/find-requires webyast-base-ui
Finding Supplements: /usr/lib/rpm/find-supplements webyast-base-ui
Provides: yast2-webclient = 0.1.26
Requires(interp): /bin/sh /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(pre): rubygem-rake rubygem-sqlite3 rubygem-rails-2_3 >= 2.3.4
rubygem-gettext_rails lighttpd > 1.4.20-3.6
Requires(post): /bin/sh
Requires(preun): rubygem-rake rubygem-sqlite3 rubygem-rails-2_3 >= 2.3.4
rubygem-gettext_rails lighttpd > 1.4.20-3.6 /bin/sh
Requires(postun): /bin/sh
Requires: /bin/sh /usr/bin/env /usr/bin/ruby
Obsoletes: yast2-webclient < 0.1.26
Processing files: webyast-base-ui-testsuite-0.1.26-0.noarch
Finding Provides: /usr/lib/rpm/find-provides webyast-base-ui
Finding Requires: /usr/lib/rpm/find-requires webyast-base-ui
Finding Supplements: /usr/lib/rpm/find-supplements webyast-base-ui
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386
Wrote:
/artifacts/webyast/web-client/rpms/noarch/webyast-base-ui-0.1.26-0.noarch.rpm
Wrote:
/artifacts/webyast/web-client/rpms/noarch/webyast-base-ui-testsuite-0.1.26-0.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.booIFS
+ umask 022
+ cd /tmp/rpmbuild
+ cd www
+ rm -rf /usr/src/packages/BUILDROOT/webyast-base-ui-0.1.26-0.i386
+ exit 0
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ echo Installing...
Installing...
+ find /artifacts/webyast/web-client/rpms -name '*.rpm'
+ xargs rpm -Uvh --replacepkgs --force --nodeps
Preparing... ##################################################
webyast-base-ui ##################################################
*** WARNING:
/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
(in /srv/www/yast)
== CreateAccounts: migrating =================================================
-- create_table("accounts", {:force=>true})
-> 0.0047s
== CreateAccounts: migrated (0.0050s) ========================================

== UpdateAccounts: migrating =================================================
-- remove_column(:accounts, :email)
-> 0.0346s
-- remove_column(:accounts, :crypted_password)
-> 0.0329s
-- remove_column(:accounts, :salt)
-> 0.0324s
== UpdateAccounts: migrated (0.1006s) ========================================

== AddColumntAccounts: migrating =============================================
-- add_column(:accounts, :salt, :string)
-> 0.0015s
== AddColumntAccounts: migrated (0.0017s) ====================================

== CreateHosts: migrating ====================================================
-- create_table(:hosts)
-> 0.0035s
== CreateHosts: migrated (0.0037s) ===========================================

== InsertLocalhost: migrating ================================================
== InsertLocalhost: migrated (0.0718s) =======================================

== PrivatePortNumbers: migrating =============================================
== PrivatePortNumbers: migrated (0.0040s) ====================================

/etc/rc.status: line 42: /dev/ttyS0: No such file or directory
/etc/rc.status: line 42: /dev/ttyS0: No such file or directory
webyast-base-ui-testsuite ##################################################
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ popd
/src/web-client
+ for rpmdir in '${SUBDIR}/package' '`find ./plugins -name package | grep -v
"rpam\|ruby-polkit"`'
++ dirname ./plugins/time/package
+ pkgdir=./plugins/time
++ basename ./plugins/time
+ pkgname=time
+ destination=/artifacts/webyast/web-client/package/yast2-webclient-time
+ mkdir -p /artifacts/webyast/web-client/package/yast2-webclient-time
+ rm -rf '/artifacts/webyast/web-client/package/yast2-webclient-time/*'
+ rm -rf ./plugins/time/package/www
+ cp -r ./plugins/time/package/webyast-time-ui.changes
./plugins/time/package/webyast-time-ui.spec ./plugins/time/package/www.tar.bz2
/artifacts/webyast/web-client/package/yast2-webclient-time
+ pushd ./plugins/time/package
/src/web-client/plugins/time/package /src/web-client
+ case "${pkgdir}" in
+ build_spec
+ rpm --rebuilddb
+ mkdir -p /tmp
+ mkdir -p /artifacts/webyast/web-client/rpms
+ mkdir -p /tmp/rpmbuild
+ mkdir -p /tmp/buildroot
+ cat
+ check_exit 0
+ '[' -z 0 ']'
+ MYEXIT=0
+ '[' 0 == 0 ']'
+ echo 'exit code: 0 ... good, lets continue'
exit code: 0 ... good, lets continue
+ return
+ /usr/bin/rpmbuild -bb --define 'run_testsuite 1' webyast-time-ui.spec
error: Failed build dependencies:
webyast-services-ui-testsuite is needed by
webyast-time-ui-0.1.8-0.noarch
+ check_exit 1
+ '[' -z 1 ']'
+ MYEXIT=1
+ '[' 1 == 0 ']'
+ footer_and_exit 1
+ '[' -z 1 ']'
+ MYEXIT=1
+ '[' 1 == 0 ']'
+ ascii_failed
+ cat

( )
( ) (
) _ )
( \_
_(_\ \)__
(____\___))

build failed

+ echo 'stopping dbus..'
stopping dbus..
+ /etc/init.d/dbus stop
/etc/rc.status: line 42: /dev/ttyS0: No such file or directory
Shutting down D-Bus daemon..done
+ exit 1
... unmounting sys
... unmounting proc
... unmounting pts
[locks-and-latches] Releasing all the locks
[locks-and-latches] All the locks released
Archiving artifacts
Build wasn't successful, skipping saikuro coverage report
Publishing rails stats report...
[workspace] $ rake --silent stats
Failed to send e-mail to Michal Zugec because no e-mail address is known, and
no default e-mail domain is configured
Failed to send e-mail to Vladislav Gorobets because no e-mail address is known,
and no default e-mail domain is configured
Failed to send e-mail to Jiri Suchomel because no e-mail address is known, and
no default e-mail domain is configured
Failed to send e-mail to Klaus K??mpf because no e-mail address is known, and
no default e-mail domain is configured
Failed to send e-mail to Martin Kudlvasr because no e-mail address is known,
and no default e-mail domain is configured

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread